This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 508299 - setroubleshoot: SELinux is preventing pulseaudio (xdm_t) "create" xdm_t.
setroubleshoot: SELinux is preventing pulseaudio (xdm_t) "create" xdm_t.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:232d02565a8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-26 09:23 EDT by Tom London
Modified: 2009-08-30 02:38 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-26 15:32:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom London 2009-06-26 09:23:26 EDT
The following was filed automatically by setroubleshoot:

Summary:

SELinux is preventing pulseaudio (xdm_t) "create" xdm_t.

Detailed Description:

SELinux denied access requested by pulseaudio. It is not expected that this
access is required by pulseaudio and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Or you can disable
SELinux protection altogether. Disabling SELinux protection is not recommended.
Please file a bug report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi)
against this package.

Additional Information:

Source Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
Target Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
Target Objects                None [ netlink_kobject_uevent_socket ]
Source                        pulseaudio
Source Path                   /usr/bin/pulseaudio
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           pulseaudio-0.9.16-1.test1.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.19-5.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.31-0.24.rc0.git18.fc12.x86_64 #1 SMP Mon Jun
                              22 16:26:38 EDT 2009 x86_64 x86_64
Alert Count                   66
First Seen                    Fri 26 Jun 2009 06:17:47 AM PDT
Last Seen                     Fri 26 Jun 2009 06:17:56 AM PDT
Local ID                      6fb85028-6f82-4479-9ae7-3a5e13f7a4f3
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1246022276.295:79): avc:  denied  { create } for  pid=1891 comm="pulseaudio" scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tclass=netlink_kobject_uevent_socket

node=(removed) type=SYSCALL msg=audit(1246022276.295:79): arch=c000003e syscall=41 success=yes exit=0 a0=10 a1=2 a2=f a3=0 items=0 ppid=1889 pid=1891 auid=4294967295 uid=42 gid=42 euid=42 suid=42 fsuid=42 egid=42 sgid=42 fsgid=42 tty=(none) ses=4294967295 comm="pulseaudio" exe="/usr/bin/pulseaudio" subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 key=(null)


audit2allow suggests:

#============= xdm_t ==============
allow xdm_t self:netlink_kobject_uevent_socket create;
Comment 1 Tom London 2009-06-26 09:26:53 EDT
[root@tlondon ~]# ls -lZ /usr/bin/pulseaudio 
-rwxr-xr-x. root root system_u:object_r:pulseaudio_exec_t:s0 /usr/bin/pulseaudio
[root@tlondon ~]#
Comment 2 Tom London 2009-06-26 09:27:43 EDT
This seems to block gdm login, btw.

Believe it hung when I typed the wrong password and it tried to play a sound?
Comment 3 Tom London 2009-06-26 09:49:36 EDT
booting permissive, I get:


#============= xdm_t ==============
allow xdm_t self:netlink_kobject_uevent_socket { read bind create getattr setopt };

Missing transition to pulseaudio_t?  Other?
Comment 4 Daniel Walsh 2009-06-26 15:32:19 EDT
I think I will just add 

allow xdm_t self:netlink_kobject_uevent_socket { read bind create getattr
setopt };


Adding the transition adds lots of access for pulseaudio and interaction with xdm_t which seems like a lot of stuff for little benefit.
Fixed in selinux-policy-3.6.20-1.fc12

Note You need to log in before you can comment on or make changes to this bug.